%% Grid data used in test grid
clc
%clear all

%Calculation of grid parameters

Vbase = 11e3; %Base voltage, per phase, phase to ground[V]
Sbase = 10e6; %Base power, three-phase[VA]
Zbase = (3*Vbase^2)/Sbase; %Base impedance[ohm]

f = 50; %Grid frequency[Hz]

%% High voltage side
V_high = 66e3; %Line to ground[V]
Sk_high = 1000e6; %Short-circuit level[VA] 
XR_high = 22; %X/R ratio

%% Medium voltage side
V_medium = 11e3; %Line to ground[V]

%Grid impedance
Zpu = [0.03 0.0007; 
    0.03 0.0007; 
    0.03564 0.02661;
    0.03564 0.02661;
    0.0146 0.01091;
    0.0146 0.01091;
    0.0146 0.01091];%[ohm]

R1 =Zpu(1,1)*Zbase;%[ohm]
X1 =Zpu(1,2)*Zbase;%[ohm]  

R2 = Zpu(2,1)*Zbase;%[ohm]
X2 = Zpu(2,2)*Zbase;%[ohm] 

R3 = Zpu(3,1)*Zbase;%[ohm]
X3 = Zpu(3,2)*Zbase;%[ohm]  

R4 = Zpu(4,1)*Zbase;%[ohm]
X4 = Zpu(4,2)*Zbase;%[ohm] 

R5 = Zpu(5,1)*Zbase;%[ohm]
X5 = Zpu(5,2)*Zbase;%[ohm]  

R6 = Zpu(6,1)*Zbase;%[ohm]
X6 = Zpu(6,2)*Zbase;%[ohm]

R7 = Zpu(7,1)*Zbase;%[ohm]
X7 = Zpu(7,2)*Zbase;%[ohm]  

Z = [R1 X1; R2 X3; R3 X3; R4 X4; R5 X5; R6 X6; R7 X7];

%Loads
LoadP1Base = 3e6;%[W]
LoadP1Peak = 2e6;%[W]
LoadQ1Base = 1e6;%[W]
LoadQ1Peak = 0e6;%[W]

LoadP2Base = 3e6;%[W]
LoadP2Peak = 2e6;%[W]
LoadQ2Base = 1e6;%[W]
LoadQ2Peak = 0e6;%[W]

LoadP3Base = 3e6;%[W]
LoadP3Peak = 2e6;%[W]
LoadQ3Base = 1e6;%[W]
LoadQ3Peak = 0e6;%[W]

LoadP4Base = 3e6;%[W]
LoadP4Peak = 2e6;%[W]
LoadQ4Base = 1e6;%[W]
LoadQ4Peak = 0e6;%[W]

PSumBaseLoad = LoadP1Base+LoadP2Base+LoadP3Base+LoadP4Base;%[W]
PSumPeakLoad = LoadP1Peak+LoadP2Peak+LoadP3Peak+LoadP4Peak;%[W]
TotalPLoad = PSumBaseLoad+PSumPeakLoad;%[W]

QSumBaseLoad = LoadQ1Base+LoadQ2Base+LoadQ3Base+LoadQ4Base;%[VAr]
QSumPeakLoad = LoadQ1Peak+LoadQ2Peak+LoadQ3Peak+LoadQ4Peak;%[VAr]
TotalQPLoad = QSumBaseLoad+QSumPeakLoad;%[VAr]

%Breaker switching times
Breaker1 = [9000];%[s]
Breaker1a = [3000 ];%[s]
Breaker2 = [9000];%[s]
Breaker2a = [3000 ];%[s]
Breaker3 = [9000];%[s]
Breaker3a = [6000];%[s]
Breaker4 = [9000];%[s]
Breaker4a = [6000];%[s]

%% Storage system
Rstorage = 0.015;%[ohm]
Xstorage = 0.02;%[ohm]  

